<?php

namespace App\Http\Controllers;

use App\Http\Resources\PageResource;
use App\Http\Resources\PaymentGatewayResource;
use App\Models\PaymentGateway;
use App\Repositories\CourseRepository;
use App\Repositories\PageRepository;
use App\Repositories\SettingRepository;
use Illuminate\Http\Request;

class MasterController extends Controller
{
    public function index(Request $request)
    {
        $mostValuableCoursePrice = (int) CourseRepository::query()->orderBy('price', 'desc')->first()?->price;
        $setting = SettingRepository::query()->get()->first();

        return $this->json('Master info found', [
            'master' => [
                'name' => config('app.name'),
                'logo' => $setting->logoPath,
                'favicon' => $setting->faviconPath,
                'currency_symbol' => config('app.currency_symbol'),
                'currency' => config('app.currency'),
                'currency_position' => $setting->currency_position,
                'timezone' => config('app.timezone'),
                'credit_text' => $setting->footer_text,
                'min_course_price' => 0,
                'max_course_price' => 0 == $mostValuableCoursePrice ? 1_000 : $mostValuableCoursePrice,
                'payment_methods' => PaymentGatewayResource::collection(PaymentGateway::query()->where('is_active', '=', true)->get()),
                'pages' => PageResource::collection(PageRepository::query()->get()),
            ],
        ]);
    }
}
