<?php

namespace App\Http\Controllers;

use App\Events\MailSendEvent;
use App\Repositories\ResetPasswordRepository;
use App\Repositories\UserRepository;
use Illuminate\Http\Request;

class ResetPasswordController extends Controller
{
    public function index(Request $request)
    {
        $user = UserRepository::query()->where('email', $request->email)->first();

        $otp = rand(1111, 9999);

        if ($user) {
            ResetPasswordRepository::create([
                'user_id' => $user->id,
                'otp' => $otp,
                'valid_until' => now()->addHour(),
            ]);

            MailSendEvent::dispatch($otp, auth()->user()->email);
        }

        return $this->json('OTP sent', ['otp' => $otp], 201);
    }

    public function validateOtp(Request $request)
    {
        $user = UserRepository::query()->where('email', $request->email)->first();

        if ($user) {
            $otp = ResetPasswordRepository::query()
                ->where('otp', $request->otp)
                ->where('user_id', $user->id)
                ->where('valid_until', '>=', now())
                ->first();

            if ($otp) {
                $otp->delete();

                return $this->json('OTP validated', [
                    'token' => $user->createToken('auth_token')->accessToken
                ], 200);
            }
        }

        return $this->json('Invalid OTP', [], 400);
    }
}
