<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CourseUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        $priceValidation = $this->regular_price ? 'numeric|lt:regular_price' : 'numeric';

        return [
            'category_id' => 'exists:categories,id',
            'title' => 'string|min:5|max:500',
            'media' => "image|mimes:jpeg,png,jpg,gif,svg|max:10240",
            'video' => 'file|mimes:mp4,mpeg|max:1048576',
            'description' => 'array|min:1',
            'description.*.heading' => 'string',
            'description.*.body' => 'string',
            'regular_price' => 'nullable|numeric',
            'price' => $priceValidation,
            'instructor_id' => 'exists:instructors,id',
            'is_active' => '',
        ];
    }
}
