<?php $__env->startSection('title', $app_setting['name'] . ' | Settings'); ?>

<?php $__env->startSection('content'); ?>
    <!-- ****Body-Section***** -->
    <div class="app-main-outer">
        <div class="app-main-inner">
            <div class="page-title-actions px-3 d-flex">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>">Dashboard</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Settings</li>
                    </ol>
                </nav>
            </div>
            <div class="row" id="deleteTableItem">
                <div class="col-md-12">
                    <?php if($errors->any()): ?>
                        <div class="alert alert-danger">
                            <ul class="m-0">
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>
                    <div class="main-card card d-flex h-100 flex-column">
                        <div class="card-body">
                            <h5 class="card-title py-2">Settings</h5>
                            <form action="<?php echo e(route('setting.update')); ?>" method="POST" enctype="multipart/form-data">
                                <?php echo csrf_field(); ?> <?php echo method_field('PUT'); ?>
                                <div class="row">
                                    <div class="col-4">
                                        <div class="mb-3">
                                            <label for="titleInput" class="form-label">App Name</label>
                                            <input type="text" required name="app_name" value="<?php echo e(config('app.name')); ?>"
                                                class="form-control" id="titleInput">
                                        </div>
                                    </div>

                                    <div class="col-4">
                                        <div class="mb-3">
                                            <label for="titleInput" class="form-label">App Currency</label>
                                            <input type="text" required name="app_currency"
                                                value="<?php echo e(config('app.currency')); ?>" class="form-control" id="titleInput">
                                        </div>
                                    </div>

                                    <div class="col-4">
                                        <div class="mb-3">
                                            <label for="titleInput" class="form-label">App Currency Symbol</label>
                                            <input type="text" required name="app_currency_symbol"
                                                value="<?php echo e(config('app.currency_symbol')); ?>" class="form-control"
                                                id="titleInput">
                                        </div>
                                    </div>

                                    <div class="col-4">
                                        <div class="mb-3">
                                            <label for="exampleInputFile">Logo (JPG, JPEG, PNG)</label>
                                            <img src="<?php echo e($setting->logoPath); ?>" class="d-block mb-3" alt="Current image"
                                                height="75px">
                                            <label for="imageInput" class="form-label">Select app logo</label>
                                            <div class="input-group">
                                                <div class="custom-file w-100">
                                                    <input name="logo" type="file"
                                                        class="custom-file-input form-control" id="imageInput">
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-4">
                                        <div class="mb-3">
                                            <label for="exampleInputFile">Favicon (JPG, JPEG, PNG)</label>
                                            <img src="<?php echo e($setting->faviconPath); ?>" class="d-block mb-3" alt="Current image"
                                                height="75px">
                                            <label for="imageInput" class="form-label">Select app favicon</label>
                                            <div class="input-group">
                                                <div class="custom-file w-100">
                                                    <input name="favicon" type="file"
                                                        class="custom-file-input form-control" id="imageInput">
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-12">
                                        <button type="submit" class="btn bgBlue btn-dipBlue">Update</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- ****End-Body-Section**** -->
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/latias/Desktop/cepron-core/resources/views/setting/edit.blade.php ENDPATH**/ ?>