<?php $__env->startSection('title', $app_setting['name'] . ' | Course List'); ?>

<?php $__env->startSection('content'); ?>
    <!-- ****Body-Section***** -->
    <div class="app-main-outer">
        <div class="app-main-inner">
            <div class="page-title-actions px-3 d-flex">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>">Dashboard</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Course</li>
                    </ol>
                </nav>
                <div class="ms-auto mb-3">
                    <a href="<?php echo e(route('course.create')); ?>" class="btn-shadow mr-3 btn btn-dark ms-auto">
                        + New Course
                    </a>
                </div>
            </div>

            <div class="row" id="deleteTableItem">
                <div class="col-md-12">
                    <div class="card mb-5">
                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="dataTable" class="table table-responsive-xl">
                                    <thead>
                                        <tr>
                                            <th><strong>#</strong></th>
                                            <th><strong>ID</strong></th>
                                            <th><strong>Course</strong></th>
                                            <th><strong>Category</strong></th>
                                            <th><strong>Views</strong></th>
                                            <th><strong>Price</strong></th>
                                            <th><strong>Instructor</strong></th>
                                            <th><strong>Status</strong></th>
                                            <th><strong>Action</strong></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td class="tableId"><?php echo e($loop->iteration); ?></td>
                                                <td class="tableId">
                                                    <?php echo e(strtoupper($app_setting['name'])); ?><?php echo e($course->id); ?></td>
                                                <td class="tableProduct">
                                                    <div class="listproduct-section">
                                                        <div class="listproducts-image">
                                                            <img src="<?php echo e($course->mediaPath); ?>">
                                                        </div>
                                                        <div class="product-pera">
                                                            <p class="priceDis">
                                                                <?php if(strlen($course->title) > 50): ?>
                                                                    <?php echo e(substr($course->title, 0, 50) . '...'); ?>

                                                                <?php else: ?>
                                                                    <?php echo e($course->title); ?>

                                                                <?php endif; ?>
                                                            </p>
                                                        </div>
                                                    </div>
                                                </td>
                                                <td class="tableCustomar">
                                                    <?php echo e($course->category?->title ?? 'N/A'); ?></td>
                                                <td class="tableId"><?php echo e($course->view_count); ?></td>
                                                <td class="tableId">
                                                    <?php if($app_setting['currency_position'] == 'Left'): ?>
                                                        <?php echo e($app_setting['currency_symbol']); ?><?php echo e($course->price); ?>

                                                    <?php else: ?>
                                                        <?php echo e($course->price); ?><?php echo e($app_setting['currency_symbol']); ?>

                                                    <?php endif; ?>
                                                </td>
                                                <td class="tableId"><?php echo e($course->instructor->user->name); ?></td>
                                                <td class="tableStatus">
                                                    <?php if($course->trashed()): ?>
                                                        <div class="statusItem">
                                                            <div class="circleDot animatedPending"></div>
                                                            <div class="statusText">
                                                                <span class="stutsPanding">Deleted</span>
                                                            </div>
                                                        </div>
                                                    <?php else: ?>
                                                        <div class="statusItem">
                                                            <div class="circleDot animatedCompleted"></div>
                                                            <div class="statusText">
                                                                <span class="stutsCompleted">Active</span>
                                                            </div>
                                                        </div>
                                                    <?php endif; ?>
                                                </td>
                                                <td class="tableAction">
                                                    <div class="action-icon">
                                                        <?php if($course->trashed()): ?>
                                                            <a data-bs-toggle="tooltip" data-bs-placement="top"
                                                                data-bs-custom-class="custom-tooltip"
                                                                data-bs-title="Restore Course"
                                                                href="<?php echo e(route('course.restore', $course->id)); ?>"><i
                                                                    class="bi bi-arrow-counterclockwise Circleicon"></i></a>
                                                        <?php else: ?>
                                                            <a data-bs-toggle="tooltip" data-bs-placement="top"
                                                                data-bs-custom-class="custom-tooltip"
                                                                data-bs-title="Edit Course"
                                                                href="<?php echo e(route('course.edit', $course->id)); ?>"><i
                                                                    class="bi bi-pen Circleicon"></i></a>
                                                            <a data-bs-toggle="tooltip" data-bs-placement="top"
                                                                data-bs-custom-class="custom-tooltip"
                                                                data-bs-title="Delete Course" href="#"
                                                                onclick="deleteAction('<?php echo e(route('course.destroy', $course->id)); ?>')"><i
                                                                    class="bi bi-trash3 Circleicon"></i></a>
                                                        <?php endif; ?>
                                                    </div>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- ****End-Body-Section**** -->
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/latias/Desktop/cepron/resources/views/course/index.blade.php ENDPATH**/ ?>