<?php $__env->startSection('title', $app_setting['name'] . ' | Course Edit'); ?>

<?php $__env->startPush('styles'); ?>
    <style>
        .ck-editor__editable {
            min-height: 140px;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <!-- ****Body-Section***** -->
    <div class="app-main-outer">
        <div class="app-main-inner">
            <div class="page-title-actions px-3 d-flex">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>">Dashboard</a></li>
                        <li class="breadcrumb-item"><a href="<?php echo e(route('course.index')); ?>">Course</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Edit</li>
                    </ol>
                </nav>
            </div>
            <div class="row" id="deleteTableItem">
                <div class="col-md-12">
                    <?php if($errors->any()): ?>
                        <div class="alert alert-danger">
                            <ul class="m-0">
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>
                    <div class="main-card card d-flex h-100 flex-column">
                        <div class="card-body">
                            <h5 class="card-title py-2">Edit Course</h5>
                            <form action="<?php echo e(route('course.update', $course->id)); ?>" method="POST"
                                enctype="multipart/form-data">
                                <?php echo csrf_field(); ?> <?php echo method_field('PUT'); ?>
                                <div class="row">
                                    <div class="col-4">
                                        <div class="mb-3">
                                            <label for="titleInput" class="form-label">Course Title</label>
                                            <input type="text" required name="title" value="<?php echo e($course->title); ?>"
                                                class="form-control" id="titleInput">
                                        </div>
                                    </div>
                                    <div class="col-4">
                                        <div class="form-group" data-select2-id="62">
                                            <label class="form-label" for="categoryInput">Category</label>
                                            <select id="categoryInput"
                                                class="form-select select2bs4 select2-hidden-accessible"
                                                style="width: 100%;" name="category_id" aria-hidden="true">
                                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($category->id); ?>"
                                                        <?php echo e($category->id === $course->category?->id ? 'selected="selected"' : ''); ?>>
                                                        <?php echo e($category->title); ?>

                                                    </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-4">
                                        <div class="form-group" data-select2-id="62">
                                            <label class="form-label" for="instructorInput">Instructor</label>
                                            <select id="instructorInput"
                                                class="form-select select2bs4 select2-hidden-accessible"
                                                style="width: 100%;" name="instructor_id" aria-hidden="true">
                                                <?php $__currentLoopData = $instructors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $instructor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($instructor->id); ?>"
                                                        <?php echo e($instructor->id === $course->instructor_id ? 'selected' : ''); ?>>
                                                        <?php echo e($instructor->user->name); ?>

                                                    </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-3">
                                        <div class="mb-3">
                                            <label for="regularPriceInput" class="form-label">Regular Price</label>
                                            <input type="number" step="any" name="regular_price" min="1"
                                                class="form-control" id="regularPriceInput"
                                                value="<?php echo e($course?->regular_price); ?>">
                                        </div>
                                    </div>

                                    <div class="col-3">
                                        <div class="mb-3">
                                            <label for="priceInput" class="form-label">Offer Price</label>
                                            <input type="number" step="any" required name="price" min="1"
                                                class="form-control" id="priceInput" value="<?php echo e($course->price); ?>">
                                        </div>
                                    </div>

                                    <div class="col-3">
                                        <div class="mb-3">
                                            <label for="imageInput" class="form-label">Thumbnail (JPG, JPEG, PNG)</label>
                                            <div class="input-group">
                                                <div class="custom-file w-100">
                                                    <input name="media" type="file"
                                                        class="custom-file-input form-control" id="imageInput">
                                                </div>
                                            </div>
                                            <img src="<?php echo e($course->mediaPath); ?>" class="d-block mt-3" alt="Current image"
                                                height="150px">
                                        </div>
                                    </div>

                                    <div class="col-3">
                                        <div class="mb-3">
                                            <label for="videoInput" class="form-label">Video (MP4, MPEG)</label>
                                            <div class="input-group">
                                                <div class="custom-file w-100">
                                                    <input name="video" type="file"
                                                        class="custom-file-input form-control" id="videoInput">
                                                </div>
                                            </div>
                                            <video width="320" height="240" controls>
                                                <source src="<?php echo e($course->videoPath); ?>" type="video/mp4">
                                                Your browser does not support the video tag.
                                            </video>
                                        </div>
                                    </div>

                                    <div class="col-12 mb-4">
                                        <div id="descriptionWrapper">
                                            <?php $__currentLoopData = json_decode($course->description); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $description): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div id="description<?php echo e($loop->index + 1); ?>">
                                                    <label class="form-label fw-bold">About the Course (Section
                                                        <?php echo e($loop->index + 1); ?>)</label>
                                                    <div class="row mb-3">
                                                        <div class="col-10 px-0">
                                                            <label for="headingInput" class="form-label">Title</label>
                                                            <input type="text" required
                                                                value="<?php echo e($description->heading); ?>"
                                                                name="description[<?php echo e($loop->index + 1); ?>][heading]"
                                                                class="form-control" id="headingInput">
                                                        </div>
                                                        <div class="col-2 text-end">
                                                            <label class="form-label">&nbsp;</label>
                                                            <div>
                                                                <button type="button" class="btn btn-danger mb-4"
                                                                    onclick="removeDescriptionItem(<?php echo e($loop->index + 1); ?>)">-
                                                                    Remove Description</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="mb-3">
                                                        <textarea id="texteditor<?php echo e($loop->iteration); ?>" name="description[<?php echo e($loop->index + 1); ?>][body]"
                                                            class="form-control description-item"><?php echo e($description->body); ?></textarea>
                                                    </div>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                        <button type="button" class="btn bgBlue btn-dipBlue"
                                            onclick="addDescriptionItem()">+ Add Description
                                            Item</button>
                                    </div>

                                    <div class="col-12 mb-4">
                                        <div class="mb-3">
                                            <div class="form-check">
                                                <input id="activeInput" name="is_active" class="form-check-input"
                                                    type="checkbox" <?php if($course->is_active): ?> checked <?php endif; ?>>
                                                <label for="activeInput" class="form-check-label">Approve and
                                                    Publish</label>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-12">
                                        <button type="submit" class="btn bgBlue btn-dipBlue">Update</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- ****End-Body-Section**** -->
    </div>

<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
    <script src="<?php echo e(asset('assets/scripts/ckeditor.js')); ?>"></script>
    <script>
        function ckeditorInit(index) {
            ClassicEditor
                .create(document.querySelector('#texteditor' + index))
                .catch(error => {
                    console.error(error);
                });
        }

        for (let i = 1; i <= descriptionWrapper.childElementCount; i++) {
            ckeditorInit(i);
        }

        function addDescriptionItem() {
            var descriptionCounter = descriptionWrapper.childElementCount + 1;
            var descriptionRow = `<div id="description${descriptionCounter}">
                                <label class="form-label fw-bold">About the Course (Section ${descriptionCounter})</label>
                                <div class="row mb-3">
                                    <div class="col-10 px-0">
                                        <label for="headingInput" class="form-label">Title</label>
                                        <input type="text" name="description[${descriptionCounter}][heading]"
                                            class="form-control" id="headingInput">
                                    </div>
                                    <div class="col-2 text-end">
                                        <label class="form-label">&nbsp;</label>
                                        <div>
                                            <button type="button" class="btn btn-danger mb-4"
                                                onclick="removeDescriptionItem(${descriptionCounter})">-
                                                Remove Description</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="mb-3">
                                    <textarea id="texteditor${descriptionCounter}" name="description[${descriptionCounter}][body]" class="form-control description-item"></textarea>
                                </div>
                            </div>`;

            $('#descriptionWrapper').append(descriptionRow);

            ckeditorInit(descriptionCounter);

            ++descriptionCounter;
        }

        function removeDescriptionItem(elementNumber) {
            $(`#description${elementNumber}`).remove();
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/latias/Desktop/cepron/resources/views/course/edit.blade.php ENDPATH**/ ?>