<?php $__env->startSection('title', $app_setting['name'] . ' | Enrollment List'); ?>

<?php $__env->startSection('content'); ?>
    <!-- ****Body-Section***** -->
    <div class="app-main-outer">
        <div class="app-main-inner">
            <div class="page-title-actions px-3 d-flex">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>">Dashboard</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Enrollment</li>
                    </ol>
                </nav>
            </div>
            <div class="row" id="deleteTableItem">
                <div class="col-md-12">
                    <div class="card mb-5">
                        <div class="card-body">
                            <div class="table-responsive-lg">
                                <table id="dataTable" class="table">
                                    <thead>
                                        <tr>
                                            <th><strong>#</strong></th>
                                            <th><strong>Enroll ID</strong></th>
                                            <th><strong>Student</strong></th>
                                            <th><strong>Course</strong></th>
                                            <th style="width: 15%"><strong>Progress</strong></th>
                                            <th><strong>Course Price</strong></th>
                                            <th><strong>Last Activity</strong></th>
                                            <th><strong>Status</strong></th>
                                            <th><strong>Action</strong></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $enrollments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $enrollment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td class="tableId"><?php echo e($loop->iteration); ?></td>
                                                <td class="tableId"><?php echo e($enrollment->id); ?></td>
                                                <td class="tableId"><?php echo e($enrollment->user?->name ?? 'N/A'); ?></td>
                                                <td class="tableProduct">
                                                    <div class="listproduct-section">
                                                        <div class="listproducts-image">
                                                            <img src="<?php echo e($enrollment->course?->mediaPath); ?>">
                                                        </div>
                                                        <div class="product-pera">
                                                            <p class="priceDis">
                                                                <?php if(strlen($enrollment->course?->title) > 30): ?>
                                                                    <?php echo e(substr($enrollment->course?->title, 0, 30) . '...'); ?>

                                                                <?php else: ?>
                                                                    <?php echo e($enrollment->course?->title ?? 'N/A'); ?>

                                                                <?php endif; ?>
                                                            </p>
                                                        </div>
                                                    </div>
                                                </td>
                                                <td class="tableId">
                                                    <div class="mb-3 progress">
                                                        <div class="progress-bar bg-info progress-bar-animated progress-bar-striped"
                                                            role="progressbar" aria-valuenow="<?php echo e($enrollment->progress); ?>"
                                                            aria-valuemin="0" aria-valuemax="100"
                                                            style="width: <?php echo e($enrollment->progress); ?>%;">
                                                            <?php echo e($enrollment->progress); ?>%
                                                        </div>
                                                    </div>
                                                </td>
                                                <td class="tableId text-end">
                                                    <?php if($app_setting['currency_position'] == 'Left'): ?>
                                                        <?php echo e($app_setting['currency_symbol']); ?><?php echo e($enrollment->course_price); ?>

                                                    <?php else: ?>
                                                        <?php echo e($enrollment->course_price); ?><?php echo e($app_setting['currency_symbol']); ?>

                                                    <?php endif; ?>
                                                </td>
                                                <td class="tableId"><?php echo e($enrollment->last_activity); ?></td>
                                                <td class="tableStatus">
                                                    <?php if($enrollment->trashed()): ?>
                                                        <div class="statusItem">
                                                            <div class="circleDot animatedPending"></div>
                                                            <div class="statusText">
                                                                <span class="stutsPanding">Deleted</span>
                                                            </div>
                                                        </div>
                                                    <?php else: ?>
                                                        <div class="statusItem">
                                                            <div class="circleDot animatedCompleted"></div>
                                                            <div class="statusText">
                                                                <span class="stutsCompleted">Active</span>
                                                            </div>
                                                        </div>
                                                    <?php endif; ?>
                                                </td>
                                                <td class="tableAction">
                                                    <div class="action-icon">
                                                        <?php if($enrollment->trashed()): ?>
                                                            <a data-bs-toggle="tooltip" data-bs-placement="top"
                                                                data-bs-custom-class="custom-tooltip"
                                                                data-bs-title="Restore Enrollment"
                                                                href="<?php echo e(route('enrollment.restore', $enrollment->id)); ?>"><i
                                                                    class="bi bi-arrow-counterclockwise Circleicon"></i></a>
                                                        <?php else: ?>
                                                            <a data-bs-toggle="tooltip" data-bs-placement="top"
                                                                data-bs-custom-class="custom-tooltip"
                                                                data-bs-title="Delete Enrollment" href="#"
                                                                onclick="deleteAction('<?php echo e(route('enrollment.destroy', $enrollment->id)); ?>')"><i
                                                                    class="bi bi-trash3 Circleicon"></i></a>
                                                        <?php endif; ?>
                                                    </div>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- ****End-Body-Section**** -->
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/latias/Desktop/cepron/resources/views/enrollment/index.blade.php ENDPATH**/ ?>